## golang-github-expediadotcom-haystack-client-go 0.2.3

=== Makefile ===
.PHONY: codegen
codegen: idl-submodule
	go get -u github.com/golang/protobuf/protoc-gen-go	
	cp haystack-idl/proto/agent/spanAgent.proto haystack-idl/proto/.
	protoc -I haystack-idl/proto/  --go_out=plugins=grpc:. haystack-idl/proto/span.proto	
	protoc -I haystack-idl/proto/  --go_out=plugins=grpc:. haystack-idl/proto/spanAgent.proto
	rm 	haystack-idl/proto/spanAgent.proto

idl-submodule:
	git submodule init
	git submodule update

.PHONY: test
test: codegen
	go test -run TestUnit*

.PHONY: integration_test
integration_test:
	docker-compose -f docker-compose.yaml -p sandbox up -d
	sleep 30
	go test -run TestIntegration*
	docker-compose -f docker-compose.yaml -p sandbox stop

.PHONY: glide
glide:
	glide --version || go get github.com/Masterminds/glide
	glide update

.PHONY: validate
validate:
	./scripts/validate-go

=== debian/changelog ===
golang-github-expediadotcom-haystack-client-go (0.2.3-3) unstable; urgency=medium

  * Team upload

  [ Aloïs Micard ]
  * update debian/gitlab-ci.yml (using pkg-go-tools/ci-config)

  [ Mathias Gibbens ]
  * d/control:
    - Update Build-Depends and Depends to use
      golang-github-golang-protobuf-1-5-dev
    - Update Standards-Version to 4.7.0 (no changes needed)

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 28 Jul 2024 06:07:59 +0000

golang-github-expediadotcom-haystack-client-go (0.2.3-2) unstable; urgency=medium

  * Source only upload.
  * d/control: Bump S-V.

 -- Aloïs Micard <creekorful@debian.org>  Tue, 24 Aug 2021 23:18:13 +0200

golang-github-expediadotcom-haystack-client-go (0.2.3-1) unstable; urgency=medium

  * Initial release (Closes: #991637)

 -- Aloïs Micard <creekorful@debian.org>  Thu, 29 Jul 2021 18:11:04 +0200

=== debian/control ===
Source: golang-github-expediadotcom-haystack-client-go
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Aloïs Micard <creekorful@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-golang-protobuf-1-5-dev,
               golang-github-google-uuid-dev,
               golang-github-opentracing-opentracing-go-dev,
               golang-github-stretchr-testify-dev <!nocheck>,
               golang-golang-x-net-dev,
               golang-google-grpc-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-expediadotcom-haystack-client-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-expediadotcom-haystack-client-go.git
Homepage: https://github.com/ExpediaDotCom/haystack-client-go
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/ExpediaDotCom/haystack-client-go

Package: golang-github-expediadotcom-haystack-client-go-dev
Architecture: all
Depends: golang-github-golang-protobuf-1-5-dev,
         golang-github-google-uuid-dev,
         golang-github-opentracing-opentracing-go-dev,
         golang-golang-x-net-dev,
         golang-google-grpc-dev,
         ${misc:Depends}
Description: Haystack bindings for OpenTracing API in Go (library)
 Haystack bindings for Go OpenTracing API.
 This is Haystack's client library for Golang that implements
 OpenTracing API 1.0

=== debian/rules ===
#!/usr/bin/make -f

# Do not build examples
export DH_GOLANG_EXCLUDES := examples integration_test.go

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_test:
	# Disable the integration tests since they require a running Kafka cluster.
	find _build -type f -name integration_test.go -delete
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test
endif
